Author Topic: Command Recognition? Sorta thing?...  (Read 2341 times)

0 Members and 2 Guests are viewing this topic.

M-dub

  • Guest
Command Recognition? Sorta thing?...
« on: July 20, 2004, 11:57:43 AM »
Is there a way to have AutoCAD recognize that I've typed APPLOAD and have it open up to a specific directory?  Same with commands like DDINSERT, etc....
Just curious...

Thanks

diarmuid

  • Bull Frog
  • Posts: 417
Command Recognition? Sorta thing?...
« Reply #1 on: July 20, 2004, 12:15:16 PM »
right click the acad icon on your desktop ---> properties...in the box named start in place the default folder you want autocad to open.  ie e:\drawings\2004\civil

also

type this in at acad help "Standard File Selection Dialog Boxes "

this will show you how to stream line the repetitve folder seaching that is a complete hinderance to any drafter/techie

hth

Diarmuid
If you want to win something run the 100m, if you want to experience something run a marathon

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
Command Recognition? Sorta thing?...
« Reply #2 on: July 20, 2004, 12:23:29 PM »
rewrite the commands....I did that on ddedit so it would run my specific programs, not the internal ones.... this way I could add all of the text/attribute/embedded text editing with a single command, and the user is unaware.
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

M-dub

  • Guest
Command Recognition? Sorta thing?...
« Reply #3 on: July 20, 2004, 12:39:03 PM »
Thanks guys,
diarmuid, I'll look that up for sure....sounds good to me.

Keith, for ddedit and ddatte, I changed my pgp file to call a lisp routine I use in place of these commands...it will load the appropriate editor depending on what type of entity is selected.  Sometimes the old rev blocks here are straight text and sometimes, they're attributes...
Of course, since, 2002, the ol' double click helps too, but I like my MET lisp.

Code: [Select]

;MET:  MET.LSP  Edit Text  (c)2000, Jay Thomas
;Modified by Mike Williams - May, 2003

(defun C:MET (/ SS CNT NUM ENT ANS oldsnp)
  (command"undo""group")
  (prompt "\n  Multi Edit Text, Attributes, or Dimensions. ")
  (if(>=(getvar"acadver")"13")
  (setq SS (ssget '((-4 . "<or")(0 . "ATTDEF")(0 . "DIMENSION")
                                (0 . "MTEXT")(0 . "TEXT")(0 . "TOLERANCE")
           (-4 . "<and")(0 . "INSERT")(66 . 1)(-4 . "and>")(-4 . "or>"))))
  (setq SS (ssget '((-4 . "<or")(0 . "ATTDEF")(0 . "TEXT")
           (-4 . "<and")(0 . "INSERT")(66 . 1)(-4 . "and>")(-4 . "or>")))))
  (if SS
  (progn
  (setq NUM (sslength SS) CNT 0)
  (while(< CNT NUM)
    (princ(strcat"\r  Edit Text or Attribute: "(rtos(1+ CNT) 2 0)" of "(rtos NUM 2 0)": "))
    (setq ENT (ssname SS CNT))
    (setq ANS (cdr(assoc 0(entget ENT))))
  (cond
  ((or(eq ANS "ATTDEF")(eq ANS "DIMENSION")(eq ANS "MTEXT")
      (eq ANS "TEXT")(eq ANS "TOLERANCE"))
    (command "DDedit" ENT \))
  ((eq ANS "INSERT")
    (command "DDatte" ENT \))
    )
    (entupd ENT)
    (setq CNT (1+ CNT))
   )
  (princ"  Done... "))
  (princ"  Nothing selected. "))
  (command"undo""end")
  (princ)
) ;EOF